.TH wxArtProvider 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxArtProvider \- See external documentation: wxArtProvider\&.
.SH DESCRIPTION
.LP
See external documentation: wxArtProvider <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxartprovider\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxArtProvider()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getBitmap(Id::string()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
Equivalent to getBitmap(Id, [])\&.
.RE
.LP
.B
getBitmap(Id::string(), Options::[Option]) -> wxBitmap() (see module wxBitmap)
.br
.RS
.TP
Types
Option = {client, string()} | {size, {W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxartprovider\&.html#wxartprovidergetbitmap>\&.
.RE
.LP
.B
getIcon(Id::string()) -> wxIcon() (see module wxIcon)
.br
.RS
.LP
Equivalent to getIcon(Id, [])\&.
.RE
.LP
.B
getIcon(Id::string(), Options::[Option]) -> wxIcon() (see module wxIcon)
.br
.RS
.TP
Types
Option = {client, string()} | {size, {W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxartprovider\&.html#wxartprovidergeticon>\&.
.RE
